%define module	Hal-Cdroms
%define name	perl-%{module}
%define version	0.04
%define release	%mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Access cdroms through HAL and D-Bus
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/P/PI/PIXEL/%{module}-%{version}.tar.gz
Url:		http://search.cpan.org/dist/%{module}
Requires:	perl(Net::DBus)
Requires:	udisks


Buildarch:	noarch

%description
Access cdroms through HAL and D-Bus

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc Changes META.yml
%{perl_vendorlib}/Hal/Cdroms*
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.04-3.mga3
+ Revision: 368336
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 27 2012 tv <tv> 0.04-2.mga2
+ Revision: 215454
- requires udisks (mga#4645)

* Sun Jan 29 2012 tv <tv> 0.04-1.mga2
+ Revision: 202802
- switch from HAL to udisks (mga#3458 & #3639)

* Fri Jan 21 2011 jquelin <jquelin> 0.03-5.mga1
+ Revision: 29441
- rebuild
- mageia rebuild

* Wed Jan 12 2011 jquelin <jquelin> 0.03-4.mga1
+ Revision: 7385
- imported package perl-Hal-Cdroms

